const { contextBridge, ipcRenderer } = require("electron");

ipcRenderer.on("get-username-license", (_, data) => {
  console.log("Oh! Welcome back", data.username);
  localStorage.setItem("userName", data.username);
  localStorage.setItem("license", data.license);
  localStorage.setItem("userId", crypto.randomUUID()); //todo: store the userid in the file aswell.
});

ipcRenderer.on("set-host", (_, data) => {
  console.log("oh the host is, ", data.host);
  localStorage.setItem("host", JSON.stringify(data));
});

contextBridge.exposeInMainWorld("electronAPI", {
  updateTrayIcon: (dataUrl) => {
    ipcRenderer.send("update-tray-icon", dataUrl);
  },
  openFullScreen: () => {
    ipcRenderer.send("open-fullscreen");
  },

  closeFullScreen: () => {
    ipcRenderer.send("close-fullscreen");
  },

  closeFullScreenAndHide: () => {
    //ipcRenderer.send("close-fullscreen-and-hide");
  },

  storeUsername: (username, license) => {
    ipcRenderer.send("store-username-license", { username: username, license: license });
  },

  onUsername: (callback) =>
    ipcRenderer.on("get-username-license", (_event, value) => {
      callback(value);
    }),
});
