const searchParams = new URLSearchParams(new URL(window.location.href).search);
const wsclosed = searchParams.get("wsclosed");

if (wsclosed) {
  const errorText = document.getElementById("error-text");
  errorText.style.display = "block";
  errorText.innerText = "Error: The connection to the server was unexpectedly closed.";
}

document.getElementById("username").innerText = localStorage.getItem("userName");
const sessionIdInput = document.getElementById("session-id-input");

const hostData = JSON.parse(localStorage.getItem("host"));
console.log(hostData);

document.getElementById("join-session-form").addEventListener("submit", (event) => {
  event.preventDefault();
  const id = sessionIdInput.value;

  fetch(`${hostData.protocol}${hostData.host}/api/session/${id}`, {
    headers: {
      Authorization: `Bearer ${localStorage.getItem("license")}`,
    },
  })
    .then((response) => response.json())
    .then((json) => {
      window.location.href = `mobsession/session.html?sessionId=${id}&name=${json.name}`;
    });
});

document.getElementById("create-session-form").addEventListener("submit", (event) => {
  event.preventDefault();
  fetch(`${hostData.protocol}${hostData.host}/api/session`, {
    method: "POST",
    headers: {
      "Content-type": "application/json",
      Authorization: `Bearer ${localStorage.getItem("license")}`,
    },
  })
    .then((response) => response.json())
    .then((json) => {
      console.log("uuid is", json.id);
      console.log("name is:", json.name);
      window.location.href = `mobsession/session.html?sessionId=${json.id}&name=${json.name}`;
    });
});
