import { ws, state, timer } from "../services/stateservice.js";

export function sendRotationQueueUpdate(data) {
  ws.webSocketClient.sendMessage(
    JSON.stringify({
      type: "ROTATION_QUEUE_UPDATE",
      sessionId: state.sessionId,
      payload: {
        rotationQueue: data,
      },
    })
  );
}

export function sendRotationStart(timeLeftInMs) {
  ws.webSocketClient.sendMessage(
    JSON.stringify({
      type: "START",
      sessionId: state.sessionId,
      payload: {
        rotationTime: timeLeftInMs,
        driverUserId: state.userId,
      },
    })
  );
}

export function sendRotationPause(timeLeft) {
  ws.webSocketClient.sendMessage(
    JSON.stringify({
      type: "PAUSE",
      sessionId: state.sessionId,
      payload: {
        driverUserId: state.userId,
        timeLeftInMs: timeLeft,
      },
    })
  );
}

export function sendTimeInfoUpdate(config) {
  ws.webSocketClient.sendMessage(
    JSON.stringify({
      type: "CONFIG_UPDATE",
      sessionId: state.sessionId,
      payload: {
        config: config,
      },
    })
  );
}

export function sendHandOverMessage() {
  ws.webSocketClient.sendMessage(
    JSON.stringify({
      type: "HAND_OVER",
      sessionId: state.sessionId,
      payload: {
        userId: state.userId,
      },
    })
  );
}

export function sendResetTimer() {
  ws.webSocketClient.sendMessage(
    JSON.stringify({
      type: "RESET_TIMER",
      sessionId: state.sessionId,
      payload: {
        userId: state.userId,
        rotationTimeInMinutes: timer.config.minutesForDriver,
      },
    })
  );
}
