export default class MessageRouter {
  constructor() {
    this.subscribers = {};
  }

  subscribe(messageType, callback) {
    if (!this.subscribers[messageType]) {
      this.subscribers[messageType] = [];
    }
    this.subscribers[messageType].push(callback);
  }

  route(message) {
    const { type } = message;
    if (this.subscribers[type]) {
      this.subscribers[type].forEach((callback) => callback(message));
    }
  }
}
