const searchParams = new URLSearchParams(new URL(window.location.href).search);
export const state = {
  username: localStorage.getItem("userName"),
  userId: localStorage.getItem("userId"),
  sessionName: searchParams.get("name"),
  sessionId: searchParams.get("sessionId"),
  license: localStorage.getItem("license"),
  hostData: JSON.parse(localStorage.getItem("host")),
  driver: false,
  inRotation: true,
};

export function updateDriverState(rotationList) {
  if (rotationList.length === 0) {
    state.driver = false;
    return;
  }

  if (rotationList[0].id === state.userId) {
    state.driver = true;
  } else {
    state.driver = false;
  }
}

export const ws = { webSocketClient: undefined };

export const timer = {
  config: {
    minutesForDriver: 10,
  },
};
