export default function generateTrayIcon(text) {
  // Create a canvas dynamically
  const canvas = document.createElement("canvas");
  canvas.width = 45; // Set the width of the tray icon
  canvas.height = 20; // Set the height of the tray icon
  const ctx = canvas.getContext("2d");

  // Clear the canvas
  ctx.clearRect(0, 0, canvas.width, canvas.height);

  // Ensure the background is transparent
  ctx.fillStyle = "transparent";
  ctx.fillRect(0, 0, canvas.width, canvas.height);

  ctx.font = "15px Helvetica";
  ctx.fillStyle = "rgb(0, 0, 0)";
  ctx.globalAlpha = 1;
  ctx.fillText(text, 5, 15); // Position the text

  // Get the image as a data URL
  const dataURL = canvas.toDataURL("image/png");

  // Send the data URL to the main process
  window.electronAPI.updateTrayIcon(dataURL);
}
