import { state } from "../../services/stateservice.js";
const timesUpButtons = document.getElementById("times-up-buttons");
const handOverButton = document.getElementById("handover-button");
const extraTime = document.getElementById("extra-time-button");

const store = {
  subscribers: [],
  extraTime: [],
};

handOverButton.addEventListener("click", (event) => {
  console.log("clicked hand over button!");
  store.subscribers.forEach((callback) => callback());
  timesUpButtons.style.display = "none";
});

extraTime.onclick = (event) => {
  console.log("Extra time button pressed.");
  timesUpButtons.style.display = "none";
  store.extraTime.forEach((callback) => callback());
};

export default {
  init: () => {},

  showButtons: () => {
    console.log("who is the driver:", state.driver);
    if (state.driver) {
      timesUpButtons.style.display = "block";
    }
  },

  onClickHandOver: (callback) => {
    store.subscribers.push(callback);
  },

  onClickExtraTimeButton: (callback) => {
    store.extraTime.push(callback);
  },
};
