import { state } from "../../services/stateservice.js";
const view = document.getElementById("rejoin-view");
const button = document.getElementById("rejoin-button");

const store = {
  subscribers: [],
};

button.onclick = (event) => {
  console.log("Rejoin button clicked.");
  store.subscribers.forEach((callback) => callback());
};

export default {
  init: () => {
    view.style.display = "none"; //start out hidden
  },

  update: (driverRotationQueue) => {
    if (!driverRotationQueue.find((user) => user.id === state.userId)) {
      console.log("No longer in rotation");
      view.style.display = "block";
      state.inRotation = false;
    } else {
      console.log("Still in rotation");
      view.style.display = "none";
      state.inRotation = true;
    }
  },

  onClickRejoin: (callback) => {
    store.subscribers.push(callback);
  },
};
