const resetTimerButton = document.getElementById("reset-timer-button");

const onClickSubscribers = [];

resetTimerButton.onclick = () => {
  onClickSubscribers.forEach((callback) => callback());
};

function showButton() {
  resetTimerButton.style.display = "block";
}

function hideButton() {
  resetTimerButton.style.display = "none";
}

export default {
  init: () => {
    hideButton();
  },
  onClick: (callback) => {
    onClickSubscribers.push(callback);
  },

  show: () => {
    showButton();
  },
  hide: () => {
    hideButton();
  },
};
