import { state } from "../../services/stateservice.js";

const store = {
  subscribers: [],
  state: "START",
};
const startPauseButton = document.getElementById("start-button");

startPauseButton.addEventListener("click", (event) => {
  store.subscribers.forEach((callback) => callback(store.state));

  if (store.state === "START") {
    console.log("The start button was clicked!");
    startPauseButton.innerText = "Pause";
    store.state = "PAUSE";
  } else {
    console.log("The pause button was clicked");
    startPauseButton.innerText = "Start";
    store.state = "START";
  }
});

export default {
  init: () => {},
  onStartClick: (callback) => {
    store.subscribers.push(callback);
  },

  updateIfDriver: (message) => {
    if (message.driverRotationQueue.length === 0) {
      startPauseButton.style.display = "none";
      console.log("rotation queue is empty");
      return;
    }
    if (message.driverRotationQueue[0].id === state.userId) {
      console.log("I'm the driver!");
      startPauseButton.style.display = "block";
      store.state = "START";
      startPauseButton.innerText = "Start";
    } else {
      console.log("I'm not the driver!");
      startPauseButton.style.display = "none";
    }
  },

  changeToStart: () => {
    startPauseButton.innerText = "Start";
    store.state = "START";
  },

  changeToPause: () => {
    startPauseButton.innerText = "Pause";
    store.state = "PAUSE";
  },

  hide: () => {
    startPauseButton.style.display = "none";
  },
};
